Subject: Re: [ITCH] Specify refspec without remote

From: Jonathan Nieder <[email-masked]>
Date: Wed, 10 Apr 2013 14:18:24 -0700

Ramkumar Ramachandra wrote:

>                                My point is that we should have "sane"
> defaults, and fine-grained configurability so that uses who disagree
> can maintain their own configs.

I don't agree with this principle.  I like a tool that behaves sanely
with little work and that is flexible enough to do hard things when
that's needed.  Neither of those attributes implies configurability,
except in those unfortunate cases where "behaving sanely with little
work on the user's part" has to involve a different behavior from
person to person.

When people disagree about sane defaults, that's a sign that we didn't
understand the problem well.  Often more thinking can lead to a
simpler answer.